﻿using System;
using System.Globalization;
using System.Linq;
using System.Windows.Data;

namespace HashCalculator.GUI.Converters
{
    class MultiBooleanConjunctionConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            return values.Cast<bool>().Aggregate((a, b) => a && b);
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
